Bug 956597 - Update the SpiderMonkey source package generation script for bug 794506. r=gps
authorJeff Walden <jwalden@mit.edu>
Sun, 05 Jan 2014 17:17:36 -0600
changeset 162292 8c5e82bc3241bb2ab210909c28a3843127362ae3
parent 162291 e451b39305f656f1f93a0d7faf4cf6ec5358b5b3
child 162293 3d519786b8584b3c926d2fa3a8d3e0b480804781
push idunknown
push userunknown
push dateunknown
reviewersgps
bugs956597, 794506
milestone29.0a1
Bug 956597 - Update the SpiderMonkey source package generation script for bug 794506. r=gps
js/src/make-source-package.sh
--- a/js/src/make-source-package.sh
+++ b/js/src/make-source-package.sh
@@ -1,9 +1,15 @@
 #!/bin/sh
+
+# Find out ASAP if some command breaks here, because we're copying a lot of
+# files we don't actually maintain ourselves, and requirements could easily be
+# broken.
+set -e
+
 # need these environment vars:
 echo "Environment:"
 echo "    MAKE = $MAKE"
 echo "    MKDIR = $MKDIR"
 echo "    TAR = $TAR"
 echo "    DIST = $DIST"
 echo "    SRCDIR = $SRCDIR"
 echo "    MOZJS_MAJOR_VERSION = $MOZJS_MAJOR_VERSION"
@@ -44,19 +50,19 @@ case $cmd in
 		-exec cp -t ${tgtpath}/js/src -dRp {} +
 
 	# distclean if necessary
 	if [ -e ${tgtpath}/js/src/Makefile ]; then
 		${MAKE} -C ${tgtpath}/js/src distclean
 	fi
 
 	# put in the virtualenv and supporting files if it doesnt already exist
-	if [ ! -e ${SRCDIR}/build/virtualenv ]; then
+	if [ ! -e ${SRCDIR}/build/virtualenv_packages.txt ]; then
 		cp -t ${tgtpath}/js/src/build -dRp \
-			${SRCDIR}/../../build/virtualenv \
+			${SRCDIR}/../../build/virtualenv_packages.txt \
 			${SRCDIR}/../../build/buildconfig.py
 	fi
 	if [ ! -e ${SRCDIR}/python ]; then
 		cp -t ${tgtpath}/js/src -dRp \
 			${SRCDIR}/../../python
 	fi
 	if [ ! -e ${SRCDIR}/testing ]; then
 		${MKDIR} -p ${tgtpath}/js/src/testing